GenKeyTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class GenKeyTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.GenKeyTest

-     public class GenKeyTest
      extends TestBase

  Test case to illustrate JDBC 3 GetGeneratedKeys() function.
  Version:
    1.0

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenKeyTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testNoKeys()` Test empty result set returned when no keys available.
    `void` | `testParams()`
    `void` | `testSelect()` Test that SELECT statements work correctly with `PreparedStatement`s created with `RETURN_GENERATED_KEYS`.
    `void` | `testTrigger1()` Test for bug [930305] getGeneratedKeys() does not work with triggers

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenKeyTest

          public GenKeyTest(java.lang.String name)

  - ### Method Detail

    - #### testParams

          public void testParams()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testTrigger1

          public void testTrigger1()
                            throws java.lang.Exception

      Test for bug [930305] getGeneratedKeys() does not work with triggers
      Throws:
        `java.lang.Exception`

    - #### testNoKeys

          public void testNoKeys()
                          throws java.lang.Exception

      Test empty result set returned when no keys available.
      Throws:
        `java.lang.Exception`

    - #### testSelect

          public void testSelect()
                          throws java.sql.SQLException

      Test that SELECT statements work correctly with `PreparedStatement`s created with `RETURN_GENERATED_KEYS`.
      Throws:
        `java.sql.SQLException`

    - #### main

          public static void main(java.lang.String[] args)

Generated on June 8 2013